Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.web
Class ProcessUploadServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jbpm.web.ProcessUploadServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ProcessUploadServlet

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `UPLOAD_TYPE_ARCHIVE`
`static java.lang.String` | `UPLOAD_TYPE_DEFINITION`

Constructor Summary
`ProcessUploadServlet()`

Method Summary
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPLOAD_TYPE_DEFINITION

    public static final java.lang.String UPLOAD_TYPE_DEFINITION

See Also:
  Constant Field Values

### UPLOAD_TYPE_ARCHIVE

    public static final java.lang.String UPLOAD_TYPE_ARCHIVE

See Also:
  Constant Field Values

Constructor Detail

### ProcessUploadServlet

    public ProcessUploadServlet()

Method Detail

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD